Package org.eclipse.m2m.atl.profiler.exportmodel.presentation

## Class ExportmodelModelWizard.ExportmodelModelWizardInitialObjectCreationPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.eclipse.m2m.atl.profiler.exportmodel.presentation.ExportmodelModelWizard.ExportmodelModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  `org.eclipse.jface.dialogs.IDialogPage`, `org.eclipse.jface.dialogs.IMessageProvider`, `org.eclipse.jface.wizard.IWizardPage`

Enclosing class:
  ExportmodelModelWizard

    public class ExportmodelModelWizard.ExportmodelModelWizardInitialObjectCreationPage
    extends org.eclipse.jface.wizard.WizardPage

This is the page where the type of object to create is selected.

### Field Summary

Fields
`protected org.eclipse.swt.widgets.Combo` `encodingField`
`protected java.util.List<java.lang.String>` `encodings`
`protected org.eclipse.swt.widgets.Combo` `initialObjectField`
`protected org.eclipse.swt.events.ModifyListener` `validator`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`ExportmodelModelWizardInitialObjectCreationPage​(java.lang.String pageId)` Pass in the selection.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl​(org.eclipse.swt.widgets.Composite parent)`
`java.lang.String` `getEncoding()`
`protected java.util.Collection<java.lang.String>` `getEncodings()`
`java.lang.String` `getInitialObjectName()`
`protected java.lang.String` `getLabel​(java.lang.String typeName)` Returns the label for the specified type name.
`void` `setVisible​(boolean visible)`
`protected boolean` `validatePage()`

### Methods inherited from class org.eclipse.jface.wizard.WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

### Field Detail

#### initialObjectField

    protected org.eclipse.swt.widgets.Combo initialObjectField

#### encodings

    protected java.util.List<java.lang.String> encodings

#### encodingField

    protected org.eclipse.swt.widgets.Combo encodingField

#### validator

    protected org.eclipse.swt.events.ModifyListener validator

### Constructor Detail

#### ExportmodelModelWizardInitialObjectCreationPage

    public ExportmodelModelWizardInitialObjectCreationPage​(java.lang.String pageId)

Pass in the selection.

### Method Detail

#### createControl

    public void createControl​(org.eclipse.swt.widgets.Composite parent)

#### validatePage

    protected boolean validatePage()

#### setVisible

    public void setVisible​(boolean visible)

Specified by:
  `setVisible` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `setVisible` in class `org.eclipse.jface.dialogs.DialogPage`

#### getInitialObjectName

    public java.lang.String getInitialObjectName()

#### getEncoding

    public java.lang.String getEncoding()

#### getLabel

    protected java.lang.String getLabel​(java.lang.String typeName)

Returns the label for the specified type name.

#### getEncodings

    protected java.util.Collection<java.lang.String> getEncodings()